curl --request GET \
--url {scheme}://{host}:{port}/{basePath}/v1/namespace/{id}/list \
--header 'Authorization: Bearer <token>'import requests
url = "{scheme}://{host}:{port}/{basePath}/v1/namespace/{id}/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{scheme}://{host}:{port}/{basePath}/v1/namespace/{id}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
List namespaces
List all child namespace names of the parent namespace id.
REST NAMESPACE ONLY
REST namespace uses GET to perform this operation without a request body.
It passes in the ListNamespacesRequest information in the following way:
id: pass through path parameter of the same namepage_token: pass through query parameter of the same namelimit: pass through query parameter of the same name
A valid request URL is required to generate request examplesAuthorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Pagination token from a previous request An opaque token that allows pagination for list operations (e.g. ListNamespaces).
For an initial request of a list operation, if the implementation cannot return all items in one response, or if there are more items than the page limit specified in the request, the implementation must return a page token in the response, indicating there are more results available.
After the initial request, the value of the page token from each response must be used as the page token value for the next request.
Caller must interpret either null,
missing value or empty string value of the page token from
the implementation's response as the end of the listing results.
Maximum number of items to return An inclusive upper bound of the number of results that a caller will receive.
Response
A list of namespaces
The list of names of the child namespaces relative to the parent namespace id in the request.
Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
- On a request, any entry whose key starts with
header.is sent as an HTTP request header with the prefix stripped. For example, the entry{"header.Authorization": "Bearer abc"}is sent as the request headerAuthorization: Bearer abc. - On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with
header.. For example, the response headerx-request-id: abc123is returned as the entry{"header.x-request-id": "abc123"}.
Show child attributes
Show child attributes
An opaque token that allows pagination for list operations (e.g. ListNamespaces).
For an initial request of a list operation, if the implementation cannot return all items in one response, or if there are more items than the page limit specified in the request, the implementation must return a page token in the response, indicating there are more results available.
After the initial request, the value of the page token from each response must be used as the page token value for the next request.
Caller must interpret either null,
missing value or empty string value of the page token from
the implementation's response as the end of the listing results.
Was this page helpful?